curl --request GET \
--url https://api.example.com/v1/patients/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/v1/patients/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/v1/patients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/patients/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/patients/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/patients/{id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/patients/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"phone_number": "<string>",
"additional_phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-12-25",
"gender": "male",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "alabama",
"zip": "<string>",
"workflow_stage_id": "<string>",
"assigned_user_id": "<string>",
"location_id": "<string>",
"organization_id": "<string>",
"created_from": "form",
"active": true,
"version": 1,
"first_communication_at": "2023-11-07T05:31:56Z",
"has_sync_completed": true,
"sync_status": "pending",
"sync_error_message": "<string>",
"custom_fields": {},
"comments": "<string>",
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"workflow_stage": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"order": 123,
"description": "<string>"
},
"assigned_user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"referrals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"physician_name": "<string>",
"physician_email": "<string>",
"physician_phone": "<string>",
"physician_fax": "<string>",
"physician_group": "<string>",
"physician_npi": "<string>",
"physician_address": "<string>",
"physician_address_2": "<string>",
"physician_city": "<string>",
"physician_state": "alabama",
"physician_zip": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"location_id": "<string>",
"icd_codes": [
"<string>"
],
"service_types": [
"medical_care"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"policies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"patient_id": "<string>",
"insurance_id": "<string>",
"member_number": "<string>",
"coverage_tier": "primary",
"insurance_display_name": "<string>",
"group_number": "<string>",
"group_description": "<string>",
"medicaid_id": "<string>",
"plan_name": "<string>",
"insurance_type": "01",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"relationship_to_subscriber": "spouse",
"subscriber": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"gender": "male",
"member_number": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "alabama",
"zip": "<string>"
},
"external_id": "<string>",
"insurance_card_front_file_id": "<string>",
"insurance_card_back_file_id": "<string>",
"active": true,
"version": 0,
"current_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"patient_id": "<string>",
"patient_policy_id": "<string>",
"billing_credentialing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_network_status": "unknown",
"cbh_status": "active",
"plan_funding_type": "fully_funded",
"plan_renewal_date_type": "calendar_year",
"benefit_period_end_date": "2023-12-25",
"cob_on_file": true,
"cob_last_verified_at": "2023-11-07T05:31:56Z",
"has_other_active_coverage": true,
"cob_other_coverages": [
{
"name": "<string>",
"position": "primary"
}
],
"out_of_state_benefits": true,
"out_of_state_benefits_comments": "<string>",
"in_grace_period": true,
"last_payment_date": "2023-12-25",
"is_cobra_coverage": true,
"deductible_apply_to_oop": true,
"eligibility_check_status": "pending",
"eligibility_check_comment": "<string>",
"eligibility_check_date": "2023-11-07T05:31:56Z",
"eligibility_version": 0,
"individual_deductible_policy_in_network": 123,
"individual_deductible_policy_out_network": 123,
"individual_deductible_remaining_in_network": 123,
"individual_deductible_remaining_out_network": 123,
"family_deductible_policy_in_network": 123,
"family_deductible_policy_out_network": 123,
"family_deductible_remaining_in_network": 123,
"family_deductible_remaining_out_network": 123,
"individual_oop_max_policy_in_network": 123,
"individual_oop_max_policy_out_network": 123,
"individual_oop_max_remaining_in_network": 123,
"individual_oop_max_remaining_out_network": 123,
"family_oop_max_policy_in_network": 123,
"family_oop_max_policy_out_network": 123,
"family_oop_max_remaining_in_network": 123,
"family_oop_max_remaining_out_network": 123,
"benefits_related_entities": [
{}
],
"ai_summary": "<string>",
"ai_summary_generated_at": "2023-11-07T05:31:56Z",
"services": [
{
"copay_in_network": 25,
"created_at": "2024-01-15T10:30:00Z",
"eligibility_check_status": "ELIGIBLE",
"id": "550e8400-e29b-41d4-a716-446655440014",
"payor_id": "550e8400-e29b-41d4-a716-446655440012",
"service_type": "PT",
"updated_at": "2024-01-15T10:30:00Z",
"verification_benefits_status": "VERIFIED"
}
],
"active": true,
"version": 1,
"patient": {}
},
"latest_eligibility_check": {
"id": "<string>",
"eligibility_status": "active",
"created_at": "2023-11-07T05:31:56Z",
"payor_id": "<string>"
},
"insurance": {},
"patient": {}
}
],
"external_id_values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"external_id_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"type": "validation_error",
"code": "invalid_parameter",
"message": "Field validation failed",
"param": "phone_number"
}Get Patient
curl --request GET \
--url https://api.example.com/v1/patients/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/v1/patients/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/v1/patients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/patients/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/patients/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/patients/{id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/patients/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"phone_number": "<string>",
"additional_phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-12-25",
"gender": "male",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "alabama",
"zip": "<string>",
"workflow_stage_id": "<string>",
"assigned_user_id": "<string>",
"location_id": "<string>",
"organization_id": "<string>",
"created_from": "form",
"active": true,
"version": 1,
"first_communication_at": "2023-11-07T05:31:56Z",
"has_sync_completed": true,
"sync_status": "pending",
"sync_error_message": "<string>",
"custom_fields": {},
"comments": "<string>",
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"workflow_stage": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"order": 123,
"description": "<string>"
},
"assigned_user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"referrals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"physician_name": "<string>",
"physician_email": "<string>",
"physician_phone": "<string>",
"physician_fax": "<string>",
"physician_group": "<string>",
"physician_npi": "<string>",
"physician_address": "<string>",
"physician_address_2": "<string>",
"physician_city": "<string>",
"physician_state": "alabama",
"physician_zip": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"location_id": "<string>",
"icd_codes": [
"<string>"
],
"service_types": [
"medical_care"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"policies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"patient_id": "<string>",
"insurance_id": "<string>",
"member_number": "<string>",
"coverage_tier": "primary",
"insurance_display_name": "<string>",
"group_number": "<string>",
"group_description": "<string>",
"medicaid_id": "<string>",
"plan_name": "<string>",
"insurance_type": "01",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"relationship_to_subscriber": "spouse",
"subscriber": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"gender": "male",
"member_number": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "alabama",
"zip": "<string>"
},
"external_id": "<string>",
"insurance_card_front_file_id": "<string>",
"insurance_card_back_file_id": "<string>",
"active": true,
"version": 0,
"current_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"patient_id": "<string>",
"patient_policy_id": "<string>",
"billing_credentialing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_network_status": "unknown",
"cbh_status": "active",
"plan_funding_type": "fully_funded",
"plan_renewal_date_type": "calendar_year",
"benefit_period_end_date": "2023-12-25",
"cob_on_file": true,
"cob_last_verified_at": "2023-11-07T05:31:56Z",
"has_other_active_coverage": true,
"cob_other_coverages": [
{
"name": "<string>",
"position": "primary"
}
],
"out_of_state_benefits": true,
"out_of_state_benefits_comments": "<string>",
"in_grace_period": true,
"last_payment_date": "2023-12-25",
"is_cobra_coverage": true,
"deductible_apply_to_oop": true,
"eligibility_check_status": "pending",
"eligibility_check_comment": "<string>",
"eligibility_check_date": "2023-11-07T05:31:56Z",
"eligibility_version": 0,
"individual_deductible_policy_in_network": 123,
"individual_deductible_policy_out_network": 123,
"individual_deductible_remaining_in_network": 123,
"individual_deductible_remaining_out_network": 123,
"family_deductible_policy_in_network": 123,
"family_deductible_policy_out_network": 123,
"family_deductible_remaining_in_network": 123,
"family_deductible_remaining_out_network": 123,
"individual_oop_max_policy_in_network": 123,
"individual_oop_max_policy_out_network": 123,
"individual_oop_max_remaining_in_network": 123,
"individual_oop_max_remaining_out_network": 123,
"family_oop_max_policy_in_network": 123,
"family_oop_max_policy_out_network": 123,
"family_oop_max_remaining_in_network": 123,
"family_oop_max_remaining_out_network": 123,
"benefits_related_entities": [
{}
],
"ai_summary": "<string>",
"ai_summary_generated_at": "2023-11-07T05:31:56Z",
"services": [
{
"copay_in_network": 25,
"created_at": "2024-01-15T10:30:00Z",
"eligibility_check_status": "ELIGIBLE",
"id": "550e8400-e29b-41d4-a716-446655440014",
"payor_id": "550e8400-e29b-41d4-a716-446655440012",
"service_type": "PT",
"updated_at": "2024-01-15T10:30:00Z",
"verification_benefits_status": "VERIFIED"
}
],
"active": true,
"version": 1,
"patient": {}
},
"latest_eligibility_check": {
"id": "<string>",
"eligibility_status": "active",
"created_at": "2023-11-07T05:31:56Z",
"payor_id": "<string>"
},
"insurance": {},
"patient": {}
}
],
"external_id_values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"external_id_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"type": "validation_error",
"code": "invalid_parameter",
"message": "Field validation failed",
"param": "phone_number"
}Authorizations
Path Parameters
Query Parameters
Fields to expand in the response
Allowed expand values for patient endpoints
tags, workflow_stage, assigned_user, referrals, policies, external_id_values Filter by patient status Filter options for patient status (active/inactive/all)
active, inactive, all Response
Successful Response
Patient resource response model.
Gender enum matching Prisma
male, female, other US States enum matching Prisma @map values
alabama, alaska, arizona, arkansas, california, colorado, connecticut, delaware, florida, georgia, hawaii, idaho, illinois, indiana, iowa, kansas, kentucky, louisiana, maine, maryland, massachusetts, michigan, minnesota, mississippi, missouri, montana, nebraska, nevada, new_hampshire, new_jersey, new_mexico, new_york, north_carolina, north_dakota, ohio, oklahoma, oregon, pennsylvania, rhode_island, south_carolina, south_dakota, tennessee, texas, utah, vermont, virginia, washington, west_virginia, wisconsin, wyoming, district_of_columbia, puerto_rico, virgin_islands, guam, northern_mariana_islands, american_samoa Patient creation source enum matching Prisma
form, call, api, file, sms, fax, chat_agent, manual, bulk_import, eligibility, prior_auth Whether the patient's latest external-sync execution succeeded. Populated on patient-list items; null on other patient responses. Prefer sync_status.
Status of the patient's latest external-sync execution (pending, success, failed). Populated on patient-list items; null when no execution exists yet or on other patient responses.
pending, success, failed Error of the latest external-sync execution, when it failed.
Show child attributes
Show child attributes
Lightweight workflow stage for patient expansion responses.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

